% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functions.R
\name{neighborhood.connectivity}
\alias{neighborhood.connectivity}
\alias{NC}
\title{Neighborhood connectivity}
\usage{
neighborhood.connectivity(graph, vertices = V(graph), mode = "all")
}
\arguments{
\item{graph}{A graph (network) of the igraph class.}

\item{vertices}{A vector of desired vertices, which could be obtained by the V function.}

\item{mode}{The mode of neighborhood connectivity depending on the directedness of the graph.
If the graph is undirected, the mode "all" should be specified.
Otherwise, for the calculation of neighborhood connectivity based on
incoming connections select "in" and for the outgoing connections select "out".
Also, if all of the connections are desired, specify the "all" mode. Default mode is set to "all".}
}
\value{
A vector including the neighborhood connectivity score of each vertex inputted.
}
\description{
This function calculates the neighborhood connectivity of input vertices and
works with both directed and undirected networks.
}
\examples{
MyData <- coexpression.data
My_graph <- graph_from_data_frame(MyData)
GraphVertices <- V(My_graph)
neighrhood.co <- neighborhood.connectivity(graph = My_graph,
                                           vertices = GraphVertices,
                                           mode = "all")
}
\seealso{
\code{\link[influential]{ivi}},
\code{\link[influential]{cent_network.vis}}

Other centrality functions: 
\code{\link{betweenness}()},
\code{\link{clusterRank}()},
\code{\link{collective.influence}()},
\code{\link{degree}()},
\code{\link{h_index}()},
\code{\link{lh_index}()},
\code{\link{sirir}()}
}
\concept{centrality functions}
\keyword{neighborhood_connectivity}
